# NotRegisteredException

## Overview

### local exception NotRegisteredException

An attempt was made to deregister something that is not registered with the Ice run time. This exception is raised if an attempt is made to remove a servant, facet, object factory, plug-in, object adapter, object, or user exception factory that is not currently registered.

## Data Members

string kindOfObject;

  The kind of object that could not be removed: "servant", "facet", "object factory", "plug-in", "object adapter", "object", or "user exception factory".

string id;

  The ID (or name) of the object that could not be removed.